Skip to content

IOCs

The IOCs service collection provides operations for querying custom indicators of compromise. This class has been superseded by the new IOC service class.

LanguageLast Update
Pythonv1.6.6
PowerShellv2.2.9
Gov0.22.0
TypeScriptv0.7.0
Rustv0.7.1
Rubyv1.4.0


OperationDescription
DevicesCount
devices_count
Number of hosts in your customer account that have observed a given custom IOC
DevicesRanOn
devices_ran_on
Find hosts that have observed a given custom IOC.
entities.processes
entities_processes
For the provided ProcessID retrieve the process details
ProcessesRanOn
processes_ran_on
Search for processes associated with a custom IOC

Number of hosts in your customer account that have observed a given custom IOC

Method GET
Route /indicators/aggregates/devices-count/v1
Scope IOCs (Indicators of Compromise): READ
PEP 8 devices_count
type query · string
The type of the indicator. Valid types include: sha256: A hex-encoded sha256 hash string. Length - min: 64, max: 64. md5: A hex-encoded md5 hash string. Length - min 32, max: 32. domain: A domain name. Length - min: 1, max: 200. ipv4: An IPv4 address. Must be a valid IP address. ipv6: An IPv6 address. Must be a valid IP address.
Available values (5)
sha256
A hex-encoded sha256 hash string. Length - min: 64, max: 64.
md5
A hex-encoded md5 hash string. Length - min 32, max: 32.
domain
A domain name. Length - min: 1, max: 200.
ipv4
An IPv4 address. Must be a valid IP address.
ipv6
An IPv6 address. Must be a valid IP address.
value query · string
The string representation of the indicator
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import Iocs
falcon = Iocs(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.devices_count(type="string", value="string")
print(response)
[
{
"device_count": 0,
"id": "string",
"limit_exceeded": false,
"type": "string",
"value": "string"
}
]


Find hosts that have observed a given custom IOC.

Method GET
Route /indicators/queries/devices/v1
Scope IOCs (Indicators of Compromise): READ
PEP 8 devices_ran_on
type query · string
The type of the indicator. Valid types include: sha256: A hex-encoded sha256 hash string. Length - min: 64, max: 64. md5: A hex-encoded md5 hash string. Length - min 32, max: 32. domain: A domain name. Length - min: 1, max: 200. ipv4: An IPv4 address. Must be a valid IP address. ipv6: An IPv6 address. Must be a valid IP address.
Available values (5)
sha256
A hex-encoded sha256 hash string. Length - min: 64, max: 64.
md5
A hex-encoded md5 hash string. Length - min 32, max: 32.
domain
A domain name. Length - min: 1, max: 200.
ipv4
An IPv4 address. Must be a valid IP address.
ipv6
An IPv6 address. Must be a valid IP address.
value query · string
The string representation of the indicator
limit query · string
The first process to return, where 0 is the latest offset. Use with the offset parameter to manage pagination of results.
offset query · string
The first process to return, where 0 is the latest offset. Use with the limit parameter to manage pagination of results.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import Iocs
falcon = Iocs(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.devices_ran_on(type="string",
limit="string",
offset="string",
value="string")
print(response)
[
"string"
]


For the provided ProcessID retrieve the process details

Method GET
Route /processes/entities/processes/v1
Scope IOCs (Indicators of Compromise): READ
PEP 8 entities_processes
ids query · string or list of strings
ProcessID for the running process you want to lookup
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import Iocs
falcon = Iocs(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.entities_processes(ids=id_list)
print(response)
[
{
"command_line": "string",
"device_id": "string",
"file_name": "string",
"process_id": "string",
"process_id_local": "string",
"start_timestamp": "string",
"start_timestamp_raw": "string",
"stop_timestamp": "string",
"stop_timestamp_raw": "string"
}
]


Search for processes associated with a custom IOC

Method GET
Route /indicators/queries/processes/v1
Scope IOCs (Indicators of Compromise): READ
PEP 8 processes_ran_on
type query · string
The type of the indicator. Valid types include: sha256: A hex-encoded sha256 hash string. Length - min: 64, max: 64. md5: A hex-encoded md5 hash string. Length - min 32, max: 32. domain: A domain name. Length - min: 1, max: 200. ipv4: An IPv4 address. Must be a valid IP address. ipv6: An IPv6 address. Must be a valid IP address.
Available values (5)
sha256
A hex-encoded sha256 hash string. Length - min: 64, max: 64.
md5
A hex-encoded md5 hash string. Length - min 32, max: 32.
domain
A domain name. Length - min: 1, max: 200.
ipv4
An IPv4 address. Must be a valid IP address.
ipv6
An IPv6 address. Must be a valid IP address.
value query · string
The string representation of the indicator
device_id query · string
Specify a host’s ID to return only processes from that host. Get a host’s ID from GET /devices/queries/devices/v1, the Falcon console, or the Streaming API.
limit query · string
The first process to return, where 0 is the latest offset. Use with the offset parameter to manage pagination of results.
offset query · string
The first process to return, where 0 is the latest offset. Use with the limit parameter to manage pagination of results.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import Iocs
falcon = Iocs(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.processes_ran_on(type="string",
limit="string",
offset="string",
device_id="string",
value="string")
print(response)
[
"string"
]